Name: less
Version: 551
Release: 1
License: GPL-3.0-or-later
Summary: GNU less
Url: http://www.greenwoodsoftware.com/less/

Source0: http://www.greenwoodsoftware.com/less/less-%{version}.tar.gz

BuildRequires: ncurses-devel

%description
GNU less is a program similar to more, but which allows backward movement in the
file as well as forward movement. Also, less does not have to read the entire
input file before starting, so with large input files it starts up faster than
text editors like vi. Less uses termcap (or terminfo on some systems), so it can
run on a variety of terminals. There is even limited support for hardcopy
terminals.

%prep
%setup -q

# less *really* wants to use libxcurses and has no way to tell it
# that xcurses doesn't exist other than it not being there or it not
# containing the initscr function
#
# here we build a dummy libxcurses which doesn't have initscr
cat <<EOF > libxcurses.a
#! libxcursesdummy.so
# 64
use_ncurses_you_fool!
EOF

%build

%configure \
  CPPFLAGS='-I%{_includedir}/ncurses' \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L$PWD" \
  # end
  
%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/less
%{_bindir}/lesskey
%{_bindir}/lessecho

%{_mandir}/man1/less.1
%{_mandir}/man1/lesskey.1
%{_mandir}/man1/lessecho.1

%changelog
* Thu Jan 30 2020 Mark Irish <mirish@ibm.com> - 551
- Upgrade to Version 551
- Change URL and Source0 to www.greenwoodsoftware.com

* Tue Nov 19 2019 Kevin Adler <kadler@us.ibm.com> - 481
- Use SPDX license identifier

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
